API referenceProducts
PUT /v{version.ApiVersion}/products/{id}
PUT
/v{version.ApiVersion}/products/{id}curl -X PUT "/v{version.ApiVersion}/products/0" \
-H "Content-Type: application/json" \
-d '{
"code": "string",
"name": "string",
"description": "string",
"barcode": "string",
"unit": "string",
"height": 0,
"width": 0,
"length": 0,
"depth": 0,
"weight": 0,
"volume": 0,
"packages": 0,
"startDate": "2026-01-15T09:30:00Z",
"endDate": "2026-01-15T09:30:00Z",
"webshop": true,
"webshopStartDate": "2026-01-15T09:30:00Z",
"webshopEndDate": "2026-01-15T09:30:00Z",
"salesPrice": 0,
"groups": [
{
"id": 0
}
],
"salesGroup": {
"code": "string"
},
"vat": {
"code": "string"
},
"supplier": {
"code": "string",
"description": "string",
"purchasePrice": 0,
"supplier": {
"id": 0,
"number": "string",
"companyName": "string",
"phoneNumber": "string",
"mobileNumber": "string",
"email": "string",
"remark": "string",
"ibanNumber": "string",
"bicCode": "string",
"cocNumber": "string",
"address": {
"name": "string",
"street": "string",
"houseNumber": "string",
"zipCode": "string",
"city": "string",
"country": "string",
"phoneNumber": "string"
}
}
},
"images": [
{
"url": "string"
}
],
"attributes": [
{
"code": "string",
"values": [
{
"code": "string",
"value": "string"
}
]
}
]
}'Parameters
idinteger<int32>pathverplichtapi-versionstringquery
Body
application/json
codestring | nullnamestring | nulldescriptionstring | nullbarcodestring | nullunitstring | nullheightnumber<double> | nullwidthnumber<double> | nulllengthnumber<double> | nulldepthnumber<double> | nullweightnumber<double> | nullvolumenumber<double> | nullpackagesinteger<int32> | nullstartDatestring<date-time> | nullendDatestring<date-time> | nullwebshopboolean | nullwebshopStartDatestring<date-time> | nullwebshopEndDatestring<date-time> | nullsalesPricenumber<double>groupsGroupRequest[] | nullsalesGroupCodeRequestvatCodeRequestsupplierSupplierProductRequestimagesImageRequest[] | nullattributesAttributeRequest[] | null
Respons
OK